<?php

namespace App\Http\Controllers;

use App\Models\Message;
use Illuminate\Http\Request;

class MessageController extends Controller
{
    public function create(Request $request)
    {
        $validated = $request->validate([
            'title' => 'required|max:255',
            'content' => 'required',
        ]);
        $message = new Message();
        $message->title = $request->title;
        $message->content = $request->content;


        $message->save();

        session()->flash('note', 'Thank you for leaving a post!');
        #return session('note');

        return redirect('/');
      

    }

    public function view($id) {

        $message = Message::findOrFail($id);
        return view('message', [
            'message' => $message
        ]);
    }

}
